curl --request PATCH \
--url https://ai.wisepilot.app/api/v1/content/ctas/{id}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"headline": "<string>",
"subheadline": "<string>",
"button_text": "<string>",
"subtext": "<string>",
"destination_url": "<string>",
"position": "abtf",
"status": "<string>"
}
'{
"success": true,
"data": {
"id": "<string>",
"parentAssetId": "<string>",
"parentAssetTitle": "<string>",
"position": "<string>",
"headline": "<string>",
"subheadline": "<string>",
"buttonText": "<string>",
"subtext": "<string>",
"destinationUrl": "<string>",
"status": "<string>",
"clickRate": 123,
"conversionRate": 123,
"useCount": 123
}
}Update an existing CTA. minRole: editor
curl --request PATCH \
--url https://ai.wisepilot.app/api/v1/content/ctas/{id}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"headline": "<string>",
"subheadline": "<string>",
"button_text": "<string>",
"subtext": "<string>",
"destination_url": "<string>",
"position": "abtf",
"status": "<string>"
}
'{
"success": true,
"data": {
"id": "<string>",
"parentAssetId": "<string>",
"parentAssetTitle": "<string>",
"position": "<string>",
"headline": "<string>",
"subheadline": "<string>",
"buttonText": "<string>",
"subtext": "<string>",
"destinationUrl": "<string>",
"status": "<string>",
"clickRate": 123,
"conversionRate": 123,
"useCount": 123
}
}API key prefixed with cr_ (e.g. cr_a1b2c3...)
CTA UUID